app.directive('zlNewsletter', function (blockUI, inform, $entity) {
  return {
    restrict: 'E',
    scope: true,
    replace: false,
    templateUrl: '/directives/newsletter/newsletter.html',
    controller: function ($scope, $newsletter) {

      $scope.saveEmail = function (item) {
        $newsletter.subscribe(item, function () {
          $scope.newsItem = {};
        });
      };

    }
  };
});
